Camelia, the Perl 6 bug

IRC log for #padre, 2010-12-29

| Channels | #padre index | Today | | Search | Google Search | Plain-Text | summary

All times shown according to UTC.

Time Nick Message
00:11 patspam joined #padre
00:11 patspam left #padre
00:56 bayashiaway is now known as bayashi
01:29 Alias joined #padre
01:33 kthakore Alias++ !!! wooot!
01:33 kthakore Alias:  how was the holidays?
01:35 kthakore Alias: you need a scenegraph btw :)
01:36 Alias http://svn.ali.as/cpan/releases/​SDL-Tutorial-3DWorld-0.22.tar.gz
01:36 Alias Newer one
01:37 Alias scenegraph?
01:37 Alias You mean for optimised rendering of groups of static elements?
01:37 Alias I've got much more straight forward things to work on first
01:37 Alias Like only loading textures once or per-model display lists
01:37 Alias Or, you know, actual game/etc logic
01:38 Alias Holidays was relatively good as family christmases go
02:37 Alias_ joined #padre
03:34 user_4948 joined #padre
03:37 user_4948 :)
03:39 user_4948 The first time, try
03:42 Alias hi
03:57 user_4948 The translation is good.
03:59 Alias Thank you
03:59 Alias Some are better than others
03:59 Alias Which one are you using?
04:01 user_4948 Anything which
04:01 user_4948 This translation does not
04:04 user_4948 this translation is good ,but not always.
05:58 kaare joined #padre
06:07 ronsavage joined #padre
06:16 ronsavage On Debian, I'm trying to upgrade Padre from 0.74 to 0.76. I get: Padre needs at least version 2.8.8 of wxWidgets. You have wxWidgets 2.8.7. cpanm Alien::wxWidgets Wx produces Alien::wxWidgets is up to date. (0.51) and Wx is up to date. (0.98). This page (http://padre.perlide.org/trac/wiki/DownloadDebian) talks about 0.63 and says: uninstall all wxwidgets and wxperl related packages, and to install enough of the -dev packages. The latter is a
06:22 Alias The later is a...
06:22 Alias (you got cut off)
06:23 Alias Obvious question
06:23 Alias That Wx is one you built yourself right, not the Debian one?
06:23 * Alias has to run soon
06:25 ronsavage Possibly. Unfortunately my downloads dir does not have the wx package, so I'm not sure if I installed it and removed it.
06:26 Jagdwurst joined #padre
06:26 ronsavage Should I just d/l 2.9.1 and install it?
06:29 ronsavage I'm running ./configure now...
06:31 Alias hrm?
06:31 Alias No, Wx.pm
06:31 Alias Not the wx lib itself
06:32 Alias If you uninstalled the debian wxWidgets and Wx.pm and then install Wx.pm with cpan you should have current stuff
06:32 Alias What's the failure mode?
06:34 ronsavage I didn't uninstall them. cpanm Padre stops with (as above): Padre needs at least version 2.8.8 of wxWidgets. You have wxWidgets 2.8.7
06:35 ronsavage cpanm Wx says (as above) Wx is up to date (0.98)
06:36 Alias That won't help if it's compiled against an old Wx
06:36 Alias You need to uninstall the debian versions of both wxwidgets and Wx.pm
06:36 ronsavage Ahhh.
06:36 Alias And any site version of Wx.pm you might have made by mistake
06:36 Alias Then install Wx.pm from CAPN
06:36 Alias CPAN
06:36 Alias It will pull Alien::wxWidgets on it's own
06:37 Alias Since you'll already have all the dependencies from Debian, it should build cleanly
06:37 Alias Then Wx.pm will compile on the Alien version of wxWidgets
06:40 ronsavage These are installed via aptitude: libwxbase2.8-dev, libwxgtk2.8-0, libwxgtk2.8-dev, wx2.8-headers. (The 2.6s are as well). Do I need something else?
06:40 Alias Ditch all of the 2.8 ones
06:40 ronsavage ok
06:46 ronsavage That doesn't work. After aptitude remove ..., cpanm Wx dies with zillions of errors because (I'd say) it's looking for wx's headers.
06:47 ronsavage Perhaps I should continue installing Wx 2.9.1?
06:48 ronsavage Back in 1/2 hour.
06:50 Alias Try installing Alien::wxWidgets directly first
06:50 Alias Just go with whatever the default options are
06:51 Alias Once it's installed, Wx.pm SHOULD find the headers it installs
07:20 Sewi joined #padre
08:30 [Sno] joined #padre
08:30 Sno| joined #padre
08:35 |Sno| left #padre
08:35 Sno|Laptop left #padre
08:38 ronsavage cpanm tried to configure cpan, and looped on choosing a continent. I ran cpan CPAN and am trying cpanm local::lib separately, which was triggered by cpanm Padre. Sigh.
08:47 ronsavage Now the manually set cpan options are ignored with cpanm local::lib, so it tries to config CPAN again, and loops on the continent question. Double sigh.
08:50 ronsavage Ha! cpan's o conf commit was not run.
09:22 ronsavage left #padre
10:53 Di-ima left #padre
11:04 Di-ima joined #padre
13:14 daxim joined #padre
13:20 Corion joined #padre
13:20 Corion Hi all
13:21 Corion It seems that the config option "Middle click like X11 paste" does nothing. Middle-click always pastes (which I hate). Or does "middle-click paste" mean to replace (or just insert) the current selection?
13:21 Corion Padre 0.76 is way less stable for me on Win32 than 0.74 btw :-/
13:26 Alias_ left #padre
13:51 user_4948 left #padre
14:34 jnap joined #padre
16:29 Sewi left #padre
17:51 robinsmidsrod left #padre
20:19 perlite_ joined #padre
20:20 daxim left #padre
20:23 perlite left #padre
20:23 perlite_ is now known as perlite
20:35 jfroebe joined #padre
21:19 Jagdwurst left #padre
21:27 Sewi joined #padre
21:59 toi left #padre
23:21 Corion left #padre
23:26 jnap left #padre
23:27 kaare left #padre
23:43 Sewi left #padre

| Channels | #padre index | Today | | Search | Google Search | Plain-Text | summary